## Apache Zeta Components Manual :: Docs For Class ezcTranslationBorkFilter

### Translation::ezcTranslationBorkFilter

### Class ezcTranslationBorkFilter

Implements the Bork translation filter.

The bork filter mangles text in cases where the translatable string is defined in the translation definition, but when it it marked as an "unfinished" translation. This makes it obvious which text is translatable, but not yet translated.

Source for this file: /Translation/src/filters/bork_filter.php

### Implements interfaces:

- ezcTranslationFilter

Version: | //autogentag//

### Method Summary

public static ezcTranslationFilterBork | `getInstance( )` Returns an instance of the class ezcTranslationFilterBork
public void | `runFilter( $context )` Filters a context

### Methods

#### getInstance

static ezcTranslationFilterBork getInstance( )

Returns an instance of the class ezcTranslationFilterBork

##### Implementation of:

Method | Description
--- | ---
`ezcTranslationFilter::getInstance()` | Returns an instance of the class that implements this interface

#### runFilter

void runFilter( $context )

Filters a context

Applies the "bork" filter on the given context. The bork filter mangles non-finished or non-translated text so that it is obvious which text is translatable, but not yet translated.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$context` | array(ezcTranslationData) |

##### Implementation of:

Method | Description
--- | ---
`ezcTranslationFilter::runFilter()` | Filters the context $context.

Documentation generated by phpDocumentor 1.4.3